Subject: Re: [PATCH v7 02/12] run-command: add first helper for pp child states

From: Adrian Ratiu <[email-masked]>
Date: Thu, 22 Jan 2026 11:21:46 +0200

On Wed, 21 Jan 2026, Junio C Hamano <[email-masked]> wrote:
> Adrian Ratiu <[email-masked]> writes:
>
>> There is a recurring pattern of testing parallel process child states
>> and file descriptors to determine if a child is running, receiving any
>> input or if it's ready for cleanup.
>>
>> Name the pp_child structure and introduce a first helper to make these
>> checks more readable. Next commits will add more helpers and checks.
>
> I needed to read this three times to understand what you meant by "a
> first helper".  In the bigger picture, the helper being the first
> one you invented does not really matter.  Perhaps drop "first"?

Yes, certainly. Will fix in v8.

When I wrote this message initially, I thought we would need more
helpers, however it turns out this is the only one.